package com.clx.performance.service.linewarn;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.linewarn.*;
import com.clx.performance.vo.pc.linewarn.LineWarnConfigVO;

import java.util.List;

public interface LineWarnConfigService {

    void saveConfig(LineWarnConfigAddParam param);

    void updateConfig(LineWarnConfigUpdateParam param);
    void updateStatus(LineWarnConfigStatusUpdateParam param);
    void deleteConfig(LineWarnConfigDeleteUpdateParam param);

    LineWarnConfigVO getConfig(Integer id);
    IPage<LineWarnConfigVO> pageConfig(PageLineWarnConfigParam param);
    List<LineWarnConfigVO.WarnTypeItem> listWarnType();

}
